{% extends 'base.html.twig' %}

{% block title %}Hello TopicController!{% endblock %}

{% block body %}
<main>
    <h1>{{topic.title}}</h1>
    <ul>
        {% for post in topic.posts %}
            <li>{{post.author}} : {{post.content}} <a href="{{path('update_post', {id:post.id})}}">Update</a></li>
        {% endfor %}
    </ul>
    <a href="{{path('new_post', {id:topic.id})}}">Add Post</a>
</main>
{% endblock %}
